#!/usr/bin/env python

import sys

sys.path.insert(0, './generate')
import generate

print "Reading gtk's object and enum definitions ...",
sys.stdout.flush()
p = generate.TypesParser('./generate/gtk.defs')
p.startParsing()
print 'done'

print "Outputting GtkScintilla stuff ...",
sys.stdout.flush()
p = generate.FilteringParser(input='gtkscintilla.defs',
                             prefix='gtkscintillamodule',
                             typeprefix='&')
#p.addExcludeFile('./generate/gtkscintilla.ignore')
p.startParsing()
print 'done'
